import os
import importlib.util
import sys
import logging

# 프로젝트 루트 디렉토리와 관련된 모든 스크립트 디렉토리를 sys.path에 추가합니다.
project_root = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
sys.path.extend([
    os.path.join(project_root, 'scripts', 'data_collection'),
    os.path.join(project_root, 'scripts', 'model'),
    os.path.join(project_root, 'scripts', 'trading'),
    os.path.join(project_root, 'scripts', 'utils'),
    os.path.join(project_root, 'scripts', 'data_processing'),
    os.path.join(project_root, 'scripts', 'api')
])

config_path = os.path.join(project_root, 'config')
if config_path not in sys.path:
    sys.path.append(config_path)
    logging.info(f"Config directory added to sys.path: {config_path in sys.path}")

logging.info(f"Current sys.path: {sys.path}")

# 스크립트 모듈 불러오기
spec = importlib.util.spec_from_file_location("main_total", os.path.join(project_root, 'scripts', 'utils', 'main_total.py'))
main_total = importlib.util.module_from_spec(spec)
sys.modules["main_total"] = main_total
spec.loader.exec_module(main_total)

if __name__ == "__main__":
    main_total.initialize()
    main_total.main()
