import os
import pandas as pd

def read_stock_data(stock_code):
    # 주식 데이터를 읽어오는 함수 구현
    pass


def read_all_csv_files(directory):
    csv_files = [f for f in os.listdir(directory) if f.endswith('.csv')]
    data_frames = []
    for file in csv_files:
        file_path = os.path.join(directory, file)
        try:
            df = pd.read_csv(file_path)
            if not df.empty:
                data_frames.append(df)
        except pd.errors.EmptyDataError:
            logging.warning(f"Empty CSV file found and skipped: {file_path}")
    return data_frames

def process_data(data_frames):
    processed_data = []
    for df in data_frames:
        summary = df.describe()
        processed_data.append(summary)
    return processed_data

if __name__ == '__main__':
    from data_collection import update_data
    stock_data, news_data, financial_data, economic_data = update_data()
    (X_train, X_test, y_train, y_test), scaler = preprocess_data(stock_data, financial_data, news_data, economic_data)
    print(X_train.head())
    print(X_test.head())
