#dqn_model.py
import os
import torch
import logging
from stable_baselines3 import DQN
from stock_trading_env import StockTradingEnv
from config.settings import settings

device = 'cuda' if torch.cuda.is_available() else 'cpu'

def train_dqn_model(df, stock_code):
    env = StockTradingEnv(df)
    model_path = os.path.join(settings['model_path'], f"dqn_{stock_code}.zip")

    if os.path.exists(model_path):
        model = DQN.load(model_path, env=env, device=device)
        logging.info(f"Model for {stock_code} loaded from {model_path}")
    else:
        model = DQN('MlpPolicy', env, verbose=1, device=device)
        logging.info(f"New model for {stock_code} created")

    model.learn(total_timesteps=10000, reset_num_timesteps=False, log_interval=10)
    model.save(model_path)
    logging.info(f"Model for {stock_code} saved to {model_path}")
def model_function():
    print("model_function called")
